--- a/dh_installxfonts
+++ b/dh_installxfonts
@@ -68,7 +68,8 @@
 		my @cmds;
 		my @cmds_postinst;
 		my @cmds_postrm;
-		foreach my $f (@fontdirs) {
+		# Sort items for reproducible binary package contents.
+		foreach my $f (sort @fontdirs) {
 			# This must come before update-fonts-dir.
 			push @cmds, "update-fonts-scale $f"
 				if -f "$tmp/etc/X11/fonts/$f/$package.scale";
@@ -76,7 +77,6 @@
 			if (-f "$tmp/etc/X11/fonts/$f/$package.alias") {
 				push @cmds_postinst, "update-fonts-alias --include /etc/X11/fonts/$f/$package.alias $f";
 				push @cmds_postrm, "update-fonts-alias --exclude /etc/X11/fonts/$f/$package.alias $f";
-				addsubstvar($package, "misc:Depends", "xfonts-utils (>= 1:7.5+2)");
 			}
 		}
 
@@ -85,7 +85,11 @@
 		autoscript($package, "postrm", "postrm-xfonts",
 			{ 'CMDS' => join(";", @cmds, @cmds_postrm) });
 
-		addsubstvar($package, "misc:Depends", "xfonts-utils");
+		if (@cmds_postrm) {
+			addsubstvar($package, "misc:Depends", "xfont-utils", ">= 1:7.5+2");
+		} else {
+			addsubstvar($package, "misc:Depends", "xfonts-utils");
+		}
 	}
 }
 
